<div *ngIf="(billPaymentRemarks && preApprovalRemarks )
&& (billPaymentRemarks.length > 0 || preApprovalRemarks.length > 0)">
  <hr>
  <span class="badge badge-primary">Remarks</span>
  <p-accordion>
    <p-accordionTab header="Pre Approval" *ngIf="preApprovalRemarks.length > 0">
      <p-table [columns]="columnName" [value]="(preApprovalRemarks)">
        <ng-template pTemplate="header" let-columns>
          <tr>
            <th *ngFor="let col of columns">
              {{col.name}}
            </th>
          </tr>
        </ng-template>
        <ng-template pTemplate="body" let-list let-i="rowIndex">
          <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
            <td>{{list.commentedDate  | date:'MMM d, y, h:mm:ss a'}}</td>
            <td>{{list.remarks}}</td>
            <td>{{list.commentedBy}}</td>
            <td>{{list.user.fullName}}</td>
            <td>{{list.status}}</td>
          </tr>
        </ng-template>
      </p-table>
    </p-accordionTab>
    <p-accordionTab header="Bill Payment"
                    *ngIf="type === 'BILL_PAYMENT' && billPaymentRemarks.length > 0">
      <p-table [columns]="columnName" [value]="billPaymentRemarks">
        <ng-template pTemplate="header" let-columns>
          <tr>
            <th *ngFor="let col of columns">
              {{col.name}}
            </th>
          </tr>
        </ng-template>
        <ng-template pTemplate="body" let-list let-i="rowIndex">
          <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
            <td>{{list.commentedDate  | date:'MMM d, y, h:mm:ss a'}}</td>
            <td>{{list.remarks}}</td>
            <td>{{list.commentedBy}}</td>
            <td>{{list.user.fullName}}</td>
            <td>{{list.status}}</td>
          </tr>
        </ng-template>
      </p-table>
    </p-accordionTab>
  </p-accordion>
</div>


